namespace WidgetsRUs.ECommerce.BizTalk.Maps {
    
    
    [Microsoft.XLANGs.BaseTypes.SchemaReference(@"WidgetsRUs.ECommerce.BizTalk.Schemas.TransactionRequest", typeof(WidgetsRUs.ECommerce.BizTalk.Schemas.TransactionRequest))]
    [Microsoft.XLANGs.BaseTypes.SchemaReference(@"WidgetsRUs.ECommerce.BizTalk.Schemas.TransactionResponse", typeof(WidgetsRUs.ECommerce.BizTalk.Schemas.TransactionResponse))]
    public sealed class TransactionRequest_to_ErrorResponse : Microsoft.XLANGs.BaseTypes.TransformBase {
        
        private const string _strMap = @"<?xml version=""1.0"" encoding=""UTF-16""?>
<xsl:stylesheet xmlns:xsl=""http://www.w3.org/1999/XSL/Transform"" xmlns:msxsl=""urn:schemas-microsoft-com:xslt"" xmlns:var=""http://schemas.microsoft.com/BizTalk/2003/var"" exclude-result-prefixes=""msxsl var"" version=""1.0"" xmlns:ns0=""http://WidgetsRUs.ECommerce.BizTalk"">
  <xsl:output omit-xml-declaration=""yes"" method=""xml"" version=""1.0"" indent=""yes"" />
  <xsl:template match=""/"">
    <xsl:apply-templates select=""/ns0:TransactionRequests"" />
  </xsl:template>
  <xsl:template match=""/ns0:TransactionRequests"">
    <ns0:TransactionResponses>
      <xsl:for-each select=""TransactionRequest"">
        <TransactionResponse>
          <CustomerId>
            <xsl:value-of select=""CustomerId/text()"" />
          </CustomerId>
          <TransactionId>
            <xsl:value-of select=""TransactionId/text()"" />
          </TransactionId>
          <ResultCode>
            <xsl:text>E</xsl:text>
          </ResultCode>
        </TransactionResponse>
      </xsl:for-each>
    </ns0:TransactionResponses>
  </xsl:template>
</xsl:stylesheet>";
        
        private const string _strArgList = @"<ExtensionObjects />";
        
        private const string _strSrcSchemasList0 = @"WidgetsRUs.ECommerce.BizTalk.Schemas.TransactionRequest";
        
        private const WidgetsRUs.ECommerce.BizTalk.Schemas.TransactionRequest _srcSchemaTypeReference0 = null;
        
        private const string _strTrgSchemasList0 = @"WidgetsRUs.ECommerce.BizTalk.Schemas.TransactionResponse";
        
        private const WidgetsRUs.ECommerce.BizTalk.Schemas.TransactionResponse _trgSchemaTypeReference0 = null;
        
        public override string XmlContent {
            get {
                return _strMap;
            }
        }
        
        public override string XsltArgumentListContent {
            get {
                return _strArgList;
            }
        }
        
        public override string[] SourceSchemas {
            get {
                string[] _SrcSchemas = new string [1];
                _SrcSchemas[0] = @"WidgetsRUs.ECommerce.BizTalk.Schemas.TransactionRequest";
                return _SrcSchemas;
            }
        }
        
        public override string[] TargetSchemas {
            get {
                string[] _TrgSchemas = new string [1];
                _TrgSchemas[0] = @"WidgetsRUs.ECommerce.BizTalk.Schemas.TransactionResponse";
                return _TrgSchemas;
            }
        }
    }
}
